Page 12 of 27

Posted: Thu Jul 10, 2003 2:36 pm
by MrC
you mean version 2.0.6??? or a new emailer.php version?

Posted: Thu Jul 10, 2003 2:57 pm
by Idoru
MrC wrote: you mean version 2.0.6??? or a new emailer.php version?


Either one .. I just need the emailer fixed. This is terrible! I'm using an SMTP account I have to send emails. It works fine for small groups, but if you try to mass email everyone, it will fail, because my SMTP provider only lets me BCC or CC up to 100 people at a time (I have 700 users on my board).

Posted: Thu Jul 10, 2003 3:02 pm
by Juliooo
MrC wrote: you mean version 2.0.6??? or a new emailer.php version?


Yes, new version of emailer.php

Posted: Thu Jul 10, 2003 4:47 pm
by Computerwolf
I am hosted at lycos, and i have tried every patch and I have tried using smtp, but each time I change something, I get a completly different error. I finally decided to put all files back to their original state and not use smtp, but I still get the same "Failed sending email" message.

Posted: Thu Jul 10, 2003 5:03 pm
by TuttoInfo
I have not resoult the problem!

How to at resoulve the problemS?????

Posted: Thu Jul 10, 2003 5:04 pm
by warmweer
For those trying out emailer form 2.0.4 with a 2.0.5 updated board - be prepared to have to rehash various other files.

emailer.php contains many functions called upon by other files (e.g. admin_mass_email.php etc..)
When you use the 2.0.4 emailer.php some 2.0.5 functions will be called which aren't implemented in the 2.0.4 emailer.php resulting in errors.

It works with the 2.0.4 emailer but I've had to rewrite part of the 2.0.5 usercp_activate.php.

Don't ask me for any code (I don't want any responsibility in messing up someone else's board) since the only thing that works up to now is the user activation mail. Later then when I feel like it I might have a decent look at the other functions but believe me, it's a pain. Basically it means making a bybrid between 2.0.4 and 2.0.5 (is this a new versioning sytem 2.0.4.5 8O )

I would suggest trying out 2.0.5. If it works: fine and update your live system, if it doesn't work, stay with 2.0.4 (as I will) until a solution from phpbb comes. I'm sure they're working on it but it's not a common problem and the real cause isn't clear (actually I have no idea which piece of code in emailer.php in 2.0.5 is the problem) making it so much more difficult to find a solution.

Posted: Thu Jul 10, 2003 6:25 pm
by Retalin
The common sense thing to do here, is to simply stop messing with it.

This really does warrant a new release to be fixed and I am sure the phpBB team will make sure it happens.

Posted: Thu Jul 10, 2003 7:13 pm
by lixo
Pacience is a virtude. :)

Posted: Thu Jul 10, 2003 7:57 pm
by Lorand
MrC wrote: What did you do, to try to get it working?
This because there are several possible solutions in this thread!


Well, I tried the solutions that you posted - using the emailer.php that you so kindly made available. I tried the 3 file fix that AcydBurn posted with the contributions of others (previous to trying your file). I tried the fix of "delete this one line" and switch over to smtp (which is an OK solution for me - using smtp, that is - small board membership) but that didn't work either.

I'm sorry, but at one point or another I've tried each and every fix - no dice. (Yes, I go back to the original file each time a fix fails - I do know that much.) :) I know there are other boards working, I've also approached one user I know for assistance. The mail works here, so I know it works - but not for me - yes, brand new install - no mods what-so-ever.

So, as I mentioned once before, I can make the php settings from the ISP available to see if someone can tell if that would help - perhaps they have something set incorrectly on the ISP end?

Thanks for all the discussion. :?

Posted: Thu Jul 10, 2003 7:57 pm
by chawky
Computerwolf wrote: I am hosted at lycos, and i have tried every patch and I have tried using smtp, but each time I change something, I get a completly different error. I finally decided to put all files back to their original state and not use smtp, but I still get the same "Failed sending email" message.


yes i have the same problem and i will do like u waiting for a new release for phpbb forum :wink: :D

Posted: Thu Jul 10, 2003 11:58 pm
by jet_Jaguar
Retalin wrote: The common sense thing to do here, is to simply stop messing with it.

This really does warrant a new release to be fixed and I am sure the phpBB team will make sure it happens.


Are you sure they are aware? From another thread it appears they think there is a working fix for it.
Have you read the information in the Support forum? That provides a working fix for the mail errors in 2.0.5 ... I'm telling you, you don't want to go back to 2.0.4 ...

Posted: Fri Jul 11, 2003 2:46 am
by Dranor
I got it working after using the SMTP option, nice workarround

Posted: Fri Jul 11, 2003 7:41 am
by Alcher
Mass email worked in 2.0.5 for me without "trim" (patch Acyd Burn). SMTP - no, uses sendmail. But in emails, which get users, seems incorrect email-address.
Example:
"from" postmaster@... "to" postmaster@... (must be chern@...)
"from" postmaster@... "to" postmaster@... (must be infosoft@...)
and etc.
How make to see correct email address in field "to"?

Posted: Fri Jul 11, 2003 7:55 am
by Numlock2KS
Hello All,

It looks like the moderators for this topic are either all on vacation or are all too busy writing code to provide a current status report for this situation. The last moderator post was on June 29th.

The good news is that the versions of the 2.2 (area51) mail system seem to be changing a little bit every day. I do not know if this means that all efforts are being put into 2.2 or if it means that the developers are using the 2.2 structure as a way to patch the 2.0.5 situation, but at least it looks like work is being done.

The unfortunate news is that some of the other open source BBS packages available for download are using this situation to promote the 'stability' of thier software. I certainly hope that the developers are working toward a very near-term release of 2.2 or a patch for 2.0.5 so that phpBB may once again 'reign' as the best open source BBS package available.

Numlock2KS

Posted: Fri Jul 11, 2003 8:07 am
by aLiLuDoDo
I have the same error like many here:
Failed sending email :: PHP :: 0

DEBUG MODE

Line : 246
File : /data/members/free/tripod/nl/a/l/i/aliludodo/htdocs/phpBB2/includes/emailer.php


Host: tripod.lycos.nl
OS: xp pro